Page MenuHomeFreeBSD

aarch64: make pmap_change_attr public like on other platforms
ClosedPublic

Authored by greg_unrelenting.technology on Jun 27 2019, 11:06 PM.

Details

Summary

This function is not static on amd64, powerpc and mips64. It is used by GPU drivers.

Test Plan

amdgpu works on the Marvell MACCHIATObin :)

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

greg_unrelenting.technology retitled this revision from arm64: make pmap_change_attr public like on other platforms to aarch64: make pmap_change_attr public like on other platforms.Jul 2 2019, 9:21 PM
greg_unrelenting.technology edited the test plan for this revision. (Show Details)
markj accepted this revision.Aug 16 2019, 5:52 PM
This revision is now accepted and ready to land.Aug 16 2019, 5:52 PM
This revision was automatically updated to reflect the committed changes.